#ifndef TLE5012
#define TLE5012
#include "stm32g030xx.h"
#include "stm32g0xx_hal.h"
#define RW 0x8000U
#define AVAL 0x0020U
#define SAFETY 0x0001U

class Tle5012 {

public:
  Tle5012(GPIO_TypeDef *csPort, uint16_t csPin, SPI_HandleTypeDef *spiHandler);
  double getAngel();

private:
  GPIO_TypeDef *csPort;
  uint16_t csPin;
  SPI_HandleTypeDef *spiHandler;
};

#endif